# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "sst_sdk"
version = "4.12.9"
authors = ["Rohan Godha <hi@rohangodha.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rust SDK for SST"
documentation = "https://sst.dev/docs"
readme = "README.md"
keywords = [
    "aws",
    "sst",
]
license = "MIT"
repository = "https://github.com/sst/sst"

[lib]
name = "sst_sdk"
path = "src/lib.rs"

[dependencies.aes-gcm]
version = "0.10.3"

[dependencies.base64]
version = "0.21.5"

[dependencies.serde]
version = "1.0.217"

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "1.0"

[dev-dependencies.serde]
version = "1.0.217"
features = ["derive"]

[dev-dependencies.serial_test]
version = "3.0"

[dev-dependencies.tempfile]
version = "3.8"
